DESCRIPTION = "sysmocom FemtoBTS API headers"
SECTION = "kernel"
LICENSE = "CLOSED"

SRC_URI = "git://git@git.sysmocom.de/sysmo-bts/femtobts-firmware.git;protocol=ssh;branch=master"
SRCREV = "6656cf9df31adb0d5514689db6f00119c237dea0"
PV = "2.4+git${SRCPV}"
PR = "r6"
S = "${WORKDIR}/git"


do_compile() {
	:
}

do_install() {
	install -d ${D}${includedir}/sysmocom/femtobts
	install -d ${D}${libdir}/pkgconfig

	install -m 0755 ${S}/api/* ${D}${includedir}/sysmocom/femtobts/
	echo "Name: Sysmocom FemtoBTS API
Description: Sysmocom FemtoBTS API
Versions: 2.0
Libs:
Cflags: -I${includedir}/sysmocom/femtobts" > ${D}${libdir}/pkgconfig/sysmocom-btsapi.pc
}
